using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcApp52.Models;

namespace TelerikMvcApp52.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            TestModel testModel = new TestModel();
            testModel.Start = new DateTime(2024,6,20,7, 30, 0);
            return View(testModel);
        }

        [HttpPost]
        public ActionResult Schedule(TestModel schedule)
        {
            return View("Index", schedule);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
